> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/internal-user.md).

# Internal User

## POST /api/Public/InternalUser/create-user

> Create user

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserRequestDto":{"type":"object","properties":{"name":{"type":"string","nullable":true},"EmailID":{"type":"string","nullable":true},"AlternativeEmailID":{"type":"string","nullable":true},"contactNumber":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"deptId":{"type":"integer","format":"int32","nullable":true},"geoProfileId":{"type":"integer","format":"int32","nullable":true},"designation":{"type":"string","nullable":true},"signatureType":{"type":"string","nullable":true},"profileId":{"type":"string","nullable":true},"signatureOption":{"type":"integer","format":"int32","nullable":true},"loginAuthentication":{"type":"string","nullable":true},"nationalId":{"type":"string","nullable":true},"timeZoneId":{"type":"string","nullable":true},"roleId":{"type":"integer","format":"int32","nullable":true},"dob":{"type":"string","format":"date-time","nullable":true},"PanNumber":{"type":"string","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"opId":{"type":"integer","format":"int32"},"isSuccess":{"type":"boolean"},"message":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/create-user":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.CoreApi.Public.Controllers.CreateInternalUserResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Create user","operationId":"post_InternalUser_create_user"}}}}
```

## POST /api/Public/InternalUser/get-user-departments

> Get user departments

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-user-departments":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get user departments","operationId":"post_InternalUser_get_user_departments"}}}}
```

## POST /api/Public/InternalUser/get-user-geofencing

> Get user geofencing

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-user-geofencing":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get user geofencing","operationId":"post_InternalUser_get_user_geofencing"}}}}
```

## POST /api/Public/InternalUser/get-user/{userId}

> Get user

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-user/{userId}":{"post":{"tags":["InternalUser"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Get user","operationId":"post_InternalUser_get_user_userId"}}}}
```

## POST /api/Public/InternalUser/get-Profile/{userId}

> Get profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-Profile/{userId}":{"post":{"tags":["InternalUser"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Get profile","operationId":"post_InternalUser_get_Profile_userId"}}}}
```

## POST /api/Public/InternalUser/get-certificatesettings

> Get certificatesettings

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-certificatesettings":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get certificatesettings","operationId":"post_InternalUser_get_certificatesettings"}}}}
```

## POST /api/Public/InternalUser/get-RolesandPermissions

> Get rolesand permissions

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-RolesandPermissions":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get rolesand permissions","operationId":"post_InternalUser_get_RolesandPermissions"}}}}
```

## POST /api/Public/InternalUser/get-LTVStatus

> Get ltv status

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-LTVStatus":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get ltv status","operationId":"post_InternalUser_get_LTVStatus"}}}}
```

## POST /api/Public/InternalUser/get-gateway-status

> Get gateway status

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-gateway-status":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get gateway status","operationId":"post_InternalUser_get_gateway_status"}}}}
```

## POST /api/Public/InternalUser/set-certificatePIN

> Set certificate pin

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Certificateresetrequest":{"type":"object","properties":{"profileID":{"type":"integer","format":"int32"},"password":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/set-certificatePIN":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Certificateresetrequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Set certificate pin","operationId":"post_InternalUser_set_certificatePIN"}}}}
```

## POST /api/Public/InternalUser/upload-profileimage

> Upload profileimage

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest":{"type":"object","properties":{"base64Image":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/upload-profileimage":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload profileimage","operationId":"post_InternalUser_upload_profileimage"}}}}
```

## POST /api/Public/InternalUser/remove-profileimage

> Remove profileimage

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest":{"type":"object","properties":{"base64Image":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/remove-profileimage":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Remove profileimage","operationId":"post_InternalUser_remove_profileimage"}}}}
```

## POST /api/Public/InternalUser/upload-companystamp

> Upload companystamp

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest":{"type":"object","properties":{"base64Image":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/upload-companystamp":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload companystamp","operationId":"post_InternalUser_upload_companystamp"}}}}
```

## POST /api/Public/InternalUser/upload-signature

> Upload signature

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest":{"type":"object","properties":{"base64Image":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/upload-signature":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload signature","operationId":"post_InternalUser_upload_signature"}}}}
```

## POST /api/Public/InternalUser/upload-initials

> Upload initials

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest":{"type":"object","properties":{"base64Image":{"type":"string","nullable":true},"fileName":{"type":"string","nullable":true},"browserinfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/upload-initials":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.Resourcerequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload initials","operationId":"post_InternalUser_upload_initials"}}}}
```

## POST /api/Public/InternalUser/update-user

> Update user

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.UpdateInternalUserRequestDto":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"name":{"type":"string","nullable":true},"AlternateEmail":{"type":"string","nullable":true},"contactNumber":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"deptId":{"type":"integer","format":"int32","nullable":true},"geoProfileId":{"type":"integer","format":"int32","nullable":true},"designation":{"type":"string","nullable":true},"signatureType":{"type":"string","nullable":true},"isdCode":{"type":"string","nullable":true},"profileId":{"type":"string","nullable":true},"signatureOption":{"type":"integer","format":"int32"},"loginAuthentication":{"type":"string","nullable":true},"nationalId":{"type":"string","nullable":true},"timeZoneId":{"type":"string","nullable":true},"roleId":{"type":"integer","format":"int32","nullable":true},"dob":{"type":"string","format":"date-time","nullable":true},"panNo":{"type":"string","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/update-user":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.UpdateInternalUserRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Update user","operationId":"post_InternalUser_update_user"}}}}
```

## POST /api/Public/InternalUser/update-profile

> Update profile

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.ProfileRequestDto":{"type":"object","properties":{"name":{"type":"string","nullable":true},"alternateEmail":{"type":"string","nullable":true},"locality":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true},"contactNumber":{"type":"string","nullable":true},"organization":{"type":"string","nullable":true},"deptId":{"type":"integer","format":"int32","nullable":true},"geoProfileId":{"type":"integer","format":"int32","nullable":true},"designation":{"type":"string","nullable":true},"signatureType":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"profileId":{"type":"string","nullable":true},"signatureOption":{"type":"integer","format":"int32"},"loginAuthentication":{"type":"string","nullable":true},"nationalId":{"type":"string","nullable":true},"timeZoneId":{"type":"string","nullable":true},"defaultSignatoryTypeId":{"type":"integer","format":"int32","nullable":true},"dob":{"type":"string","format":"date-time","nullable":true},"panNumber":{"type":"string","nullable":true},"signingMode":{"type":"integer","format":"int32","nullable":true},"defaultCertificateId":{"type":"integer","format":"int32","nullable":true},"automatedSigning":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AutomatedSigningData"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.CoreApi.Public.Controllers.AutomatedSigningData":{"type":"object","properties":{"enabled":{"type":"boolean"},"certificateProfileId":{"type":"integer","format":"int32","nullable":true},"consentAccepted":{"type":"boolean"},"certificateName":{"type":"string","nullable":true},"defaultSignatoryLocation":{"type":"string","nullable":true},"defaultSignatoryReason":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/update-profile":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.ProfileRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Update profile","operationId":"post_InternalUser_update_profile"}}}}
```

## POST /api/Public/InternalUser/get-users

> Get users

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.GetInternalUsersRequest":{"type":"object","properties":{"searchText":{"type":"string","nullable":true},"isActive":{"type":"boolean","nullable":true},"pageNumber":{"type":"integer","format":"int32","nullable":true},"pageSize":{"type":"integer","format":"int32","nullable":true},"sortBy":{"type":"string","nullable":true},"sortDirection":{"type":"string","nullable":true},"status":{"type":"string","nullable":true},"statusOfUser":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/get-users":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.GetInternalUsersRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get users","operationId":"post_InternalUser_get_users"}}}}
```

## POST /api/Public/InternalUser/get-allinternalusers

> Get allinternalusers

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-allinternalusers":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get allinternalusers","operationId":"post_InternalUser_get_allinternalusers"}}}}
```

## POST /api/Public/InternalUser/get-signatureimage

> Get signatureimage

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.S3request":{"type":"object","properties":{"key":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/get-signatureimage":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.S3request"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get signatureimage","operationId":"post_InternalUser_get_signatureimage"}}}}
```

## POST /api/Public/InternalUser/get-latest-signatures

> Get latest signatures

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/get-latest-signatures":{"post":{"tags":["InternalUser"],"responses":{"200":{"description":"OK"}},"summary":"Get latest signatures","operationId":"post_InternalUser_get_latest_signatures"}}}}
```

## POST /api/Public/InternalUser/get-initialsimage

> Get initialsimage

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.S3request":{"type":"object","properties":{"key":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/get-initialsimage":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.S3request"}}}},"responses":{"200":{"description":"OK"}},"summary":"Get initialsimage","operationId":"post_InternalUser_get_initialsimage"}}}}
```

## POST /api/Public/InternalUser/delete-user

> Delete user

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.DesableUserRequestDto":{"type":"object","properties":{"userId":{"maximum":2147483647,"minimum":1,"type":"integer","format":"int32"},"forceDisableWithWorkflow":{"type":"boolean","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/delete-user":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.DesableUserRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Delete user","operationId":"post_InternalUser_delete_user"}}}}
```

## POST /api/Public/InternalUser/enable-user/{userId}

> Enable user

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/InternalUser/enable-user/{userId}":{"post":{"tags":["InternalUser"],"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}},"summary":"Enable user","operationId":"post_InternalUser_enable_user_userId"}}}}
```

## POST /api/Public/InternalUser/Verify-Peruri

> Verify peruri

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.VerifyPeruriRequestDto":{"type":"object","properties":{"peruriUserName":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/Verify-Peruri":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.VerifyPeruriRequestDto"}}}},"responses":{"200":{"description":"OK"}},"summary":"Verify peruri","operationId":"post_InternalUser_Verify_Peruri"}}}}
```

## POST /api/Public/InternalUser/verify-Emeterai

> Verify emeterai

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"InternalUser"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.VerifyEmeteraiRequest":{"type":"object","properties":{"emeteraiUserID":{"type":"string","nullable":true},"emeteraiPassword":{"type":"string","nullable":true},"distributorID":{"type":"integer","format":"int32","nullable":true},"typeId":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/InternalUser/verify-Emeterai":{"post":{"tags":["InternalUser"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.VerifyEmeteraiRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Verify emeterai","operationId":"post_InternalUser_verify_Emeterai"}}}}
```
